# fn() orderOccurrences
Sorts a string of occurrences.

Defined in | <seqan/index.h>
Signature | `void orderOccurrences(occString);`

## Parameters

`occString` | String of occurrences.

## Detailed Description

The occurrences are sorted by increasing positions.

## Data Races

Thread safety unknown!

## See Also

- DemoMaximalUniqueMatches
- DemoMummy
- DemoSupermaximalRepeats
- SAValue
- getOccurrences
- getOccurrences

#### Dox Sources

    /*!
     * @fn orderOccurrences
     *
     * @headerfile <seqan/index.h>
     *
     * @brief Sorts a string of occurrences.
     *
     * @signature void orderOccurrences(occString);
     *
     * @param[in,out] occString String of occurrences.
     *
     * The occurrences are sorted by increasing positions.
     *
     * @see DemoMummy
     * @see DemoSupermaximalRepeats
     * @see DemoMaximalUniqueMatches
     * @see VSTreeIterator#getOccurrences
     * @see IndexQGram#getOccurrences
     * @see SAValue
     */